const Api = require("./lib/api");
const Session = require("./lib/session");
const { syncSetInterval } = require("./lib/util");
const chalk = require("chalk").default;

function delay(time) {
    return new Promise((resolve) => {
        setTimeout(() => {
            console.log(`clalled at ${new Date().toTimeString()}`);
            resolve();
        }, time);
    });
}

function testSync() {
    const callback = async () => {
        const time = 2000;
        await delay(time);
    }
    syncSetInterval(callback, 3000);
}

async function test() {
    const api = new Api();
    const username = "au00042";
    const password = "pass2011";

    console.log("logging in...");
    const { id } = await api.login(username, password, () => true);
    console.log(`logged in as ${chalk.green(username)}`);

    const session = new Session(id, { updateInterval: 5000 });
    session.on("refresh", (data) => {
        console.log(`[${chalk.green(new Date().toLocaleTimeString())}] used: ${chalk.yellow(data.used)} | upload: ${chalk.cyan(data.upload)} | download | ${chalk.blueBright(data.download)}`);
    });
    session.on("close", (e) => {
        if (e) {
            console.log("an error occurred, session terminated");
        }
    })
}

test();